Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.model
Interface IWatchExpressionDelegate

public interface IWatchExpressionDelegate

A delegate which computes the value of a watch expression when provided a context. Watch delegates are provided on a per debug model basis. Watch expressions query the appropriate delegate based on the debug model of the context element. Plug-ins that wish to contribute watch expression delegates may do so using the `org.eclipse.debug.core.watchExpressionDelegates` extension point.

For example, the following is the definition of a watch expression delegate for the com.example.foo plug-in:

     <extension point="org.eclipse.debug.core.watchExpressionDelegates">
       <watchExpressionDelegate
         debugModel="org.eclipse.jdt.debug"
         delegateClass="org.eclipse.jdt.internal.debug.ui.JavaWatchExpressionDelegate"/>
      </extension>

Clients are intended to implement this interface.

Since:
  3.0
See Also:
  `IWatchExpression`, `IWatchExpressionListener`

Method Summary
`void` | `evaluateExpression(String expression, IDebugElement context, IWatchExpressionListener listener)` Evaluates the given expression in the given context asynchronously and notifies the given listener when the evaluation finishes.

Method Detail

### evaluateExpression

    public void evaluateExpression(String expression,
                                   IDebugElement context,
                                   IWatchExpressionListener listener)

  Evaluates the given expression in the given context asynchronously and notifies the given listener when the evaluation finishes.

  Parameters:
    `expression` - the expression to evaluate
    `context` - the context for the evaluation
    `listener` - the listener to notify when the evaluation completes

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.